Bug 42518 - missing file disables printing (spec file error - patch included)
missing file disables printing (spec file error - patch included)
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kdelibs (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-27 20:37 EDT by j. alan eldridge
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-27 20:37:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description j. alan eldridge 2001-05-27 20:37:49 EDT
Description of Problem:

Ever since around 20010511 or so, when the new kdeprintd stuff got put 
into KDE's CVS, printing has been hosed. 

It's a SPEC-file thing.

The file:

kdelibs-yadda.yadda.yadda/kdeprint/kdeprintd.desktop

which is installed into /usr/share/services/kded by the "make install", 
doesn't get installed into the binary RPM.

How Reproducible:

Use KDE > 2.2alpha1. Try to print. 'Nuff said.

How to fix:

[alane@wwweasel SPECS]$ diff -ru kdelibs.spec.or kdelibs.spec
--- kdelibs.spec.or     Mon May 21 10:16:42 2001
+++ kdelibs.spec        Sun May 27 20:34:30 2001
@@ -290,6 +290,8 @@
 %{prefix}/share/services/khtmlimage.desktop
 %{prefix}/share/services/kio_uiserver.desktop
 %{prefix}/share/services/knotify.desktop
+%dir %{prefix}/share/services/kded
+%{prefix}/share/services/kded/*.desktop
 %dir %{prefix}/share/servicetypes
 %{prefix}/share/servicetypes/*
 %doc %{prefix}/share/doc/HTML/*
[alane@wwweasel SPECS]$
Comment 1 Bernhard Rosenkraenzer 2001-05-28 03:05:36 EDT
Thanks! Fixed in 2.2-0.alpha2.3

Note You need to log in before you can comment on or make changes to this bug.